 
module flags_mod
use dal
use sla
use omsourceflags_mod
public
contains

integer function getNoQualityFlags()
     getNoQualityFlags = getNoQFlags()


end function getNoQualityFlags

integer function getNoConfusionFlags()
     getNoConfusionFlags = getNoCFlags()

end function getNoConfusionFlags

!***********************************************
!
!**********************************************

subroutine getQualityFlag( no, size, text )
    integer, intent(in) :: no
    integer, intent(inout) :: size
    character, intent(inout) :: text(1 : size)
    character(size) :: text1
    integer :: i
   

    text1 = getQFlagText(no)
    size = len(trim(text1))

    do i = 1, size
        text(i) = text1( i : i)
    end do

  


end subroutine getQualityFlag
 
!***********************************************
!
!**********************************************



subroutine getConfusionFlag( no, size, text )
    integer, intent(in) :: no
    integer, intent(inout) :: size
    character, intent(inout) :: text(1 : size)
    character(size) :: text1
    integer :: i



    text1 = getCFlagText(no)
    size = len(trim(text1))




    do i = 1, size
        text(i) = text1( i : i)
    end do





end subroutine getConfusionFlag
 


end module flags_mod





